Skip to content

Update a callback configuration

Request

The endpoint updates the callback configuration with specified project ID

Security
OAuth2(Required scopes: write)
Path
projectIdstringrequired

Customer's project id

Bodyapplication/json
hmacSecretstring

The HMAC secret to be updated for the specified project

Example:"d1c7ccbf-919d-462f-8587-dec95a1b11ee"
curl -i -X PUT \
  'https://senderid.registrations.api.sinch.com/v1/projects/{projectId}/callback-configuration' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "hmacSecret": "d1c7ccbf-919d-462f-8587-dec95a1b11ee"
  }'

Responses

OK

Bodyapplication/json
hmacSecretstring

The HMAC secret used for hashing the callback body using the HMAC-SHA1 algorithm - and for creating the X-Sinch-Signature header.

Example:"d1c7ccbf-919d-462f-8587-dec95a1b11ee"
projectIdstring
Response
{ "hmacSecret": "d1c7ccbf-919d-462f-8587-dec95a1b11ee", "projectId": "string" }
We'd love to hear from you!
Rate this content: